from apps.hrm.views import CertificateViewSet, ClockRecordViewSet, EmployeeViewSet, NotWorkRemarkViewSet, AttendanceViewSet
from django.urls import path, include
from rest_framework.routers import DefaultRouter

API_BASE_URL = 'api/hrm/'
HTML_BASE_URL = 'hrm/'

router = DefaultRouter()
router.register('employee', EmployeeViewSet, basename='employee')
router.register('clock_record', ClockRecordViewSet, basename='clock_record')
router.register('not_work_remark', NotWorkRemarkViewSet,
                basename='not_work_reamrk')
router.register('certificate', CertificateViewSet, basename='certificate')
router.register('attendance', AttendanceViewSet, basename='attendance')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
